### Hierarchy

- unknown
  - PaymentAccountPayloadInfo

## Index

### Constructors

- constructor

### Methods

- getAddress
- getId
- getPaymentDetails
- getPaymentMethodId
- serializeBinary
- setAddress
- setId
- setPaymentDetails
- setPaymentMethodId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentAccountPayloadInfo(): PaymentAccountPayloadInfo

- Inherited from jspb.Message.constructor

  #### Returns PaymentAccountPayloadInfo

## Methods

### getAddress

- getAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2828

  #### Returns string

### getId

- getId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2822

  #### Returns string

### getPaymentDetails

- getPaymentDetails(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2831

  #### Returns string

### getPaymentMethodId

- getPaymentMethodId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2825

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2834

  #### Returns Uint8Array

### setAddress

- setAddress(value: string): PaymentAccountPayloadInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2829

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountPayloadInfo

### setId

- setId(value: string): PaymentAccountPayloadInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2823

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountPayloadInfo

### setPaymentDetails

- setPaymentDetails(value: string): PaymentAccountPayloadInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2832

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountPayloadInfo

### setPaymentMethodId

- setPaymentMethodId(value: string): PaymentAccountPayloadInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2826

  #### Parameters

  - ##### value: string

  #### Returns PaymentAccountPayloadInfo

### toObject

- toObject(includeInstance?: boolean): PaymentAccountPayloadInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2835

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentAccountPayloadInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountPayloadInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2838

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountPayloadInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountPayloadInfo, reader: BinaryReader): PaymentAccountPayloadInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2839

  #### Parameters

  - ##### message: PaymentAccountPayloadInfo

  - ##### reader: BinaryReader

  #### Returns PaymentAccountPayloadInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountPayloadInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2837

  #### Parameters

  - ##### message: PaymentAccountPayloadInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentAccountPayloadInfo ): PaymentAccountPayloadInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2836

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountPayloadInfo

  #### Returns PaymentAccountPayloadInfo . AsObject

Generated using TypeDoc